import { Interfaces } from '@oclif/core';
export declare enum BaseCommandFlagsEnum {
    USERNAME = "username",
    PASSWORD = "password",
    CLIENT_ID = "client_id",
    CLIENT_SECRET = "client_secret",
    BEARER = "bearer",
    ORGANIZATION = "organization",
    ENVIRONMENT = "environment",
    HOST = "host",
    PROFILE = "profile",
    OUTPUT = "output",
    COLLECT_METRICS = "collectMetrics"
}
export declare const flagDescription: (envVariable: string, description?: string | undefined) => string;
export declare const UsernameFlag: {
    username: Interfaces.OptionFlag<string>;
};
export declare const PasswordFlag: {
    password: Interfaces.OptionFlag<string>;
};
export declare const ClientIdFlag: {
    client_id: Interfaces.OptionFlag<string>;
};
export declare const ClientSecretFlag: {
    client_secret: Interfaces.OptionFlag<string>;
};
export declare const BearerFlag: {
    bearer: Interfaces.OptionFlag<string | undefined>;
};
export declare const OrganizationFlag: {
    organization: Interfaces.OptionFlag<string>;
};
export declare const EnvironmentFlag: {
    environment: Interfaces.OptionFlag<string>;
};
export declare const HostFlag: {
    host: Interfaces.OptionFlag<string>;
};
export declare const ProfileFlag: {
    profile: Interfaces.OptionFlag<string>;
};
export declare const OutputFlag: {
    output: Interfaces.OptionFlag<string>;
};
export declare const CollectMetricsFlag: {
    collectMetrics: Interfaces.BooleanFlag<boolean>;
};
export declare const CoreFlags: {
    collectMetrics: Interfaces.BooleanFlag<boolean>;
    host: Interfaces.OptionFlag<string>;
    environment: Interfaces.OptionFlag<string>;
    organization: Interfaces.OptionFlag<string>;
    bearer: Interfaces.OptionFlag<string | undefined>;
    client_secret: Interfaces.OptionFlag<string>;
    client_id: Interfaces.OptionFlag<string>;
    password: Interfaces.OptionFlag<string>;
    username: Interfaces.OptionFlag<string>;
};
export declare type CommandFlags = typeof CoreFlags;
export declare type CoreCommandFlags = {
    [K in keyof CommandFlags]: CommandFlags[K] extends Interfaces.Flag<infer FlagType> ? FlagType : unknown;
};
