"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const config_1 = require("./config");
class MyHelpClass extends core_1.Help {
    async showCommandHelp(command) {
        if (command.id === 'conf') {
            const dlt = command.flags.delete;
            dlt.description = 'delete config key';
            const hlp = command.flags.help;
            const k = command.flags.key;
            const v = command.flags.value;
            command.flags = { delete: dlt, help: hlp, key: k, value: v };
            command.description = `Manage authentication credentials in a configuration file (config.json) 
      by adding and removing key value pairs. Set one key value pair per command execution.
      CLI config file: ${config_1.default.path}`;
            command.examples = [
                '<%= config.bin %> <%= command.id %> username myuser',
                '<%= config.bin %> <%= command.id %> password mypwd',
            ];
        }
        super.showCommandHelp(command);
    }
}
exports.default = MyHelpClass;
