"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validServers = exports.userMe = exports.accountLogin = exports.accountToken = exports.projects = exports.projectList = exports.graphql = exports.gpql = exports.organization = exports.environment = exports.environments = exports.ANALYTICS_API_PATH = exports.DEFAULT_HOST = void 0;
const fmt = require('util').format;
const paginationOptions = {
    pageIndex: 0,
    pageSize: 10,
};
exports.DEFAULT_HOST = 'anypoint.mulesoft.com';
exports.ANALYTICS_API_PATH = '/cli/api/v1/analytics/event';
// Environment URIs
const environments = function (orgId) {
    return fmt('/accounts/api/organizations/%s/environments', orgId);
};
exports.environments = environments;
const environment = function (orgId, envId) {
    return fmt('%s/%s', (0, exports.environments)(orgId), envId);
};
exports.environment = environment;
// Organization URIs
const organization = function (orgId) {
    return fmt('/accounts/api/organizations/%s', orgId);
};
exports.organization = organization;
exports.gpql = '/graph/api/v1/graphql';
const graphql = function (baseUrl) {
    return fmt(`%s${exports.gpql}`, baseUrl);
};
exports.graphql = graphql;
// Design center URIs
const projectList = function (orgId, pageIndex, pageSize) {
    return {
        url: fmt('/designcenter/api/v1/organizations/%s/projects', orgId),
        params: {
            pageIndex: pageIndex || paginationOptions.pageIndex,
            pageSize: pageSize || paginationOptions.pageSize,
        },
    };
};
exports.projectList = projectList;
exports.projects = '/designcenter/api-designer/projects';
// Login URIs
exports.accountToken = '/accounts/api/v2/oauth2/token';
exports.accountLogin = '/accounts/login';
exports.userMe = '/accounts/api/users/me';
exports.validServers = [
    'anypoint.mulesoft.com',
    'eu1.anypoint.mulesoft.com',
    'stgx.anypoint.mulesoft.com',
    'qax.anypoint.mulesoft.com',
    'devx.anypoint.mulesoft.com',
];
